Changeset 33480


Ignore:
Timestamp:
2012-09-19T17:30:40+02:00 (5 years ago)
Author:
jow
Message:

[include] make packages depend on +librt and +libpthread by default if eglibc is in use

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/include/package-defaults.mk

    r32171 r33480  
    66# 
    77 
     8PKG_DEFAULT_DEPENDS = +libc +USE_EGLIBC:librt +USE_EGLIBC:libpthread 
     9 
    810ifneq ($(PKG_NAME),toolchain) 
    9   PKG_FIXUP_DEPENDS = $(if $(filter kmod-%,$(1)),$(2),+libc $(filter-out +libc,$(2))) 
     11  PKG_FIXUP_DEPENDS = $(if $(filter kmod-%,$(1)),$(2),$(PKG_DEFAULT_DEPENDS) $(filter-out $(PKG_DEFAULT_DEPENDS),$(2))) 
    1012else 
    1113  PKG_FIXUP_DEPENDS = $(2) 
Note: See TracChangeset for help on using the changeset viewer.